Bug 809503 - Review Request: liquibase - Database refactoring tool
Review Request: liquibase - Database refactoring tool
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Devan Goodwin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-03 10:35 EDT by Devan Goodwin
Modified: 2016-08-14 11:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-14 11:59:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lzap: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Devan Goodwin 2012-04-03 10:35:10 EDT
Spec URL: http://dgoodwin.fedorapeople.org/liquibase/liquibase.spec
SRPM URL: http://dgoodwin.fedorapeople.org/liquibase/liquibase-2.0.3-5.fc16.src.rpm
Description: LiquiBase is an open source (Apache 2.0 License), database-independent library
for tracking, managing and applying database changes. It is built on a simple
premise: All database changes are stored in a human readable yet trackable form
and checked into source control.
Comment 1 Lukas Zapletal 2012-04-13 05:36:44 EDT
Hi Devan,

taking for review.

MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.[1] 

[lzap@lzapx Download]$ rpmlint liquibase-2.0.3-5.fc18.noarch.rpm
liquibase.noarch: W: name-repeated-in-summary C Liquibase
liquibase.noarch: W: spelling-error %description -l en_US trackable -> traceable, tractable, track able
liquibase.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/liquibase-2.0.3/samples/liquibase-ext-change/liquibase-ext-change.iml
liquibase.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/liquibase-2.0.3/samples/samples.iml
liquibase.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/liquibase-2.0.3/samples/liquibase-ext-changewithnestedtags/liquibase-ext-changewithnestedtags.iml
liquibase.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/liquibase-2.0.3/samples/liquibase-ext-changewithnestedtags/src/main/java/liquibase/ext/changewithnestedtags/SampleGrandChild.java
liquibase.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/liquibase-2.0.3/samples/liquibase-ext-sqlgenerator/src/main/java/liquibase/ext/samplesqlgenerator/SampleUpdateGenerator.java
liquibase.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/liquibase-2.0.3/changelog.txt
liquibase.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/liquibase-2.0.3/samples/liquibase-ext-changewithnestedtags/src/main/java/liquibase/ext/changewithnestedtags/ChangeWithNestedTags.java
liquibase.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/liquibase-2.0.3/samples/liquibase-ext-sqlgenerator/pom.xml
liquibase.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/liquibase-2.0.3/samples/liquibase-ext-changewithnestedtags/src/main/java/liquibase/ext/changewithnestedtags/SampleChild.java
liquibase.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/liquibase-2.0.3/samples/liquibase-ext-changewithnestedtags/pom.xml
liquibase.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/liquibase-2.0.3/samples/liquibase-ext-sqlgenerator/liquibase-ext-sqlgenerator.iml
liquibase.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/liquibase-2.0.3/samples/liquibase-ext-change/pom.xml
liquibase.noarch: W: wrong-file-end-of-line-encoding /usr/share/doc/liquibase-2.0.3/samples/liquibase-ext-change/src/main/java/liquibase/ext/changesample/SampleChange.java
liquibase.noarch: W: no-manual-page-for-binary liquibase
1 packages and 0 specfiles checked; 0 errors, 16 warnings.

[lzap@lzapx Download]$ rpmlint liquibase-2.0.3-5.fc16.src.rpm 
liquibase.src: W: name-repeated-in-summary C Liquibase
liquibase.src: W: spelling-error %description -l en_US trackable -> traceable, tractable, track able
liquibase.src: W: invalid-url Source0: liquibase-2.0.3.tar.gz
1 packages and 0 specfiles checked; 0 errors, 3 warnings

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

FIX: The git clone command is missing tag or hash. Your instructions will lead to master/random tarball.

Please consider using generate-tarball script as described here: http://fedoraproject.org/wiki/Packaging:SourceURL

MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]

http://koji.fedoraproject.org/koji/taskinfo?taskID=3987265

MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]

Consider generating javadoc and adding -doc package delivering both docs and samples. See the section at https://fedoraproject.org/wiki/Packaging:Java

FIX: All JAR files MUST go into %{_javadir} or a Java-version specific directory %{_javadir}-* as appropriate[1].

Please use the Fedora macro for javadir.

Please consider using build-java-classpath. So instead:

export LIQUIBASE_HOME="/usr/share/java/"

use

CP=$(build-classpath liquibase)

Or consider using wrapper script auto generator from Wrapper Scripts section.

Looks good.
Comment 2 Devan Goodwin 2012-04-16 11:48:37 EDT
The git archive command specifies liquibase-parent-2.0.3 and should get us the code from that tag reliably, did some quick testing to verify and it looks like this is the case.

Made a couple touchups to spec file for rpmlint.

Switched to usage of %{_javadir}.

Added java-devel and jpackage-utils BuildRequires.

Added jpackage-utils Requires for use of the build-classpath at runtime.

Switched script to use build-classpath.

Added generation and packaging of javadocs.

Spec URL: http://dgoodwin.fedorapeople.org/liquibase/liquibase.spec
SRPM URL:
http://dgoodwin.fedorapeople.org/liquibase/liquibase-2.0.3-6.fc16.src.rpm
Comment 3 Lukas Zapletal 2012-04-17 09:33:56 EDT
Corecting Component setting ;-)
Comment 4 Lukas Zapletal 2012-04-17 09:35:47 EDT
The package is *APPROVED*
Comment 5 Devan Goodwin 2012-04-20 09:25:39 EDT
New Package SCM Request
=======================
Package Name: liquibase
Short Description: Database refactoring tool
Owners: dgoodwin jmrodri
Branches: f15 f16 el6
InitialCC:
Comment 6 Gwyn Ciesla 2012-04-20 09:32:17 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.